/*
 SPDX-License-Identifier: GPL-3.0-or-later
 libmygpio (c) 2020-2024 Juergen Mang <mail@jcgames.de>
 https://github.com/jcorporation/mympd
*/

/**
 * @mainpage
 *
 * This is the official client library for myGPIOd
 * (https://github.com/jcorporation/myGPIOd), written in C.
 *
 * All functions and structs are documented in the following include files.
 * Include only the libymgpio.h header in your project.
 *
 * You can find examples for usage in the example directory.
 *
 * \author Juergen Mang (mail@jcgames.de)
 */

#ifndef LIBMYGPIO_H
#define LIBMYGPIO_H

#include "libmygpio_connection.h"
#include "libmygpio_gpio_struct.h"
#include "libmygpio_gpio.h"
#include "libmygpio_gpioinfo.h"
#include "libmygpio_gpiolist.h"
#include "libmygpio_idle.h"
#include "libmygpio_parser.h"
#include "libmygpio_protocol.h"

#endif
